Bug 693662 - dosfslabel shows problem when try to label it Seek to 114116076544:Invalid argument
Summary: dosfslabel shows problem when try to label it Seek to 114116076544:Invalid ar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dosfstools
Version: 13
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
Assignee: Jaroslav Škarvada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-05 09:10 UTC by Jaroslav Škarvada
Modified: 2011-08-02 02:08 UTC (History)
2 users (show)

Fixed In Version: dosfstools-3.0.9-6.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of: 688128
Environment:
Last Closed: 2011-05-10 03:26:48 UTC


Attachments (Terms of Use)

Description Jaroslav Škarvada 2011-04-05 09:10:38 UTC
--- Additional comment from jskarvad@redhat.com on 2011-04-05 11:07:20 CEST ---

It seems to be broken for a while on FAT32. Cloned to all Fedoras and sent patch upstream.

Reproducer:
# dd if=/dev/zero of=/tmp/img bs=512 count=200k
# mkdosfs -F 32 /tmp/img
# dosfslabel /tmp/img test

--- Additional comment from jskarvad@redhat.com on 2011-04-05 11:08:21 CEST ---

Created attachment 489943 [details]
Proposed patch

Comment 1 Fedora Update System 2011-04-05 12:07:07 UTC
dosfstools-3.0.11-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dosfstools-3.0.11-4.fc15

Comment 2 Fedora Update System 2011-04-05 12:08:35 UTC
dosfstools-3.0.9-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dosfstools-3.0.9-6.fc14

Comment 3 Fedora Update System 2011-04-05 12:09:39 UTC
dosfstools-3.0.9-5.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dosfstools-3.0.9-5.fc13

Comment 4 Fedora Update System 2011-04-05 20:26:05 UTC
Package dosfstools-3.0.11-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dosfstools-3.0.11-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/dosfstools-3.0.11-4.fc15
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-05-10 03:26:43 UTC
dosfstools-3.0.11-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-08-02 02:08:14 UTC
dosfstools-3.0.9-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.